package preferences;

import java.util.prefs.Preferences;

import org.aspectj.lang.Signature;

/**
 * @author Vaidas Gasiunas
 *
 * Preference source implementation using system prefrences from Preferences of JSDK
 */
public class SystemPreferenceSource extends StandardPreferenceSource {
	
	protected Preferences getPreferences(Signature fieldInfo) {
		return Preferences.systemNodeForPackage(fieldInfo.getDeclaringType());
	}

}
