package test;

public class Main {

	public static void main(String[] args) {
		dumpVizSettings();
		dumpLogSettings();
		VisualizationPref.textColor = "green";
		LoggingPref.warningLevel = 4;
		LoggingPref.logToFile = false;
		dumpVizSettings();
		dumpLogSettings();
	}
	
	private static void dumpVizSettings() {
		System.out.println();
		System.out.println("Visualization preferences:");
		System.out.println("   Text color: " + VisualizationPref.textColor);
		System.out.println("   Background color: " + VisualizationPref.backgroundColor);
		System.out.println("   Line width: " + VisualizationPref.lineWidth);
		System.out.println("   Auto refresh: " + VisualizationPref.autoRefresh);
	}
	
	private static void dumpLogSettings() {
		System.out.println();
		System.out.println("Logging preferences:");
		System.out.println("   Log to file: " + LoggingPref.logToFile);
		System.out.println("   Log to console: " + LoggingPref.logToConsole);
		System.out.println("   Log file: " + LoggingPref.logFile);
		System.out.println("   Warning level: " + LoggingPref.warningLevel);
	}
}
