package preferences;

import java.util.prefs.Preferences;

import org.aspectj.lang.Signature;

/**
 * @author Vaidas Gasiunas
 *
 * Preference source implementation using user prefrences from Preferences of JSDK
 */
public class UserPreferenceSource extends StandardPreferenceSource {
	
	protected Preferences getPreferences(Signature fieldInfo) {
		return Preferences.userNodeForPackage(fieldInfo.getDeclaringType());
	}
	
}
